Avisos
Vaciar todo

Error al intentar editar cualquier artículos  

 
David
 David
Nuevo usuario

Al intentar entrar en cualquier artículo para editarlo me sale este error: "Esta página no funciona. La página herluce.com no puede procesar esta solicitud ahora.
HTTP ERROR 500".

image

En soporte me dijeron que escribiera aquí para arreglarlo:

Tras revisar el caso con detalle, no hemos visto ninguna configuración a nivel servidor que te esté afectando en la edición de artículos.

No obstante, sí que vemos que te están fallando componentes del propio core de Joomla, precisamente el componente que se utiliza para la edición de contenidos.

[13-Jan-2023 12:12:18 Europe/Madrid] PHP Fatal error: Array and string offset access syntax with curly braces is no longer supported in /home/herlucec/public_html/components/com_jce/editor/libraries/classes/browser.php on line 452
[13-Jan-2023 12:21:28 Europe/Madrid] PHP Fatal error: Array and string offset access syntax with curly braces is no longer supported in /home/herlucec/public_html/components/com_jce/editor/libraries/classes/browser.php on line 452

Gracias por adelantado,

David

Contenido solo visible a usuarios registrados

Citar
Respondido : 13/01/2023 1:43 pm
Karen Rios
 Karen Rios
Soporte CMS Webempresa Moderator

Hola David, 

En este caso puedes darnos un poco más detalles cuando comenzó a presentarse este error?, has realizado alguna actualización en tu sitio web o versiones PHP actualmente veo que tienes un error fatal con el componente de JCE editor por lo que es posible este no funcione de forma correcta.

[13-Jan-2023 14:37:44 Europe/Madrid] PHP Fatal error: Array and string offset access syntax with curly braces is no longer supported in /home/herlucec/public_html/components/com_jce/editor/libraries/classes/browser.php on line 452

Veo que estás utilizando la versión 8.0 de PHP en una instalación de joomla 3.10:

.- Baja la version de PHP e instala la versión 7.4:

-> https://guias.webempresa.com/preguntas-frecuentes/cambiar-la-version-php/

Si después de bajar la version de PHP sigues con el problema desactiva JCE de forma temporal y comprueba si te permite editar los artículos. 

Verifica esto y nos comentas como ha ido todo

Un Saludo

Esta publicación ha sido modificada el hace 1 año por Pepe
ResponderCitar
Respondido : 13/01/2023 1:53 pm

wpdoctor-revisa-la-salud-de-tu-wordpress

David
 David
Usuario experto

Hola Karen,

La versión de PHP está cambiada hace semanas y no me dió problemas.

He comprobado que el problema es el JCE Editor. Si deshabilito el plugin "JCE - Editor", me deja editar y veo los artículos lógicamente en código. 

¿Puedo desinstalar el JCE Editor y volver a instalarlo?

¿Es la forma correcta de solucionarlo?

Muchas gracias

David.

ResponderCitar
Respondido : 16/01/2023 7:35 pm
Karen Rios
 Karen Rios
Soporte CMS Webempresa Moderator

Hola David, 

Es una opción validad, puedes probar instalarlo nuevamente. Sin embargo, antes realiza una copia de seguridad de tu sitio web de esta forma si se genera algún error puedes restaurarla

Puedes realizar una copia con el plugin de Akeeba backup, te comparto la siguiente guía donde explican su funcionamiento → https://www.webempresa.com/blog/realiza-copias-de-seguridad-y-restauraciones-en-joomla-3-con-akeeba-backup.html

Verifica y nos comentas como va todo

Un Saludo

ResponderCitar
Respondido : 16/01/2023 7:55 pm

Cursos Gratuitos WordPress